package com.dragon.car.service.controller;

import com.dragon.car.domain.req.RequestCar;
import com.dragon.car.domain.resp.ResquestFaultCode;
import com.dragon.car.service.service.CarManageService;
import com.dragon.common.core.domain.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author : Administrator
 * @description : 汽车管理控制层
 */
@RestController
@RequestMapping ("/car")
public class CarController {
	@Autowired
	CarManageService carManageService;
	
	
	/**
	 * 车辆初始化
	 *
	 * @return List<CarInit> 初始化企业车辆列表
	 */
	@PostMapping ("/carInit")
	public Result<List<RequestCar>> carInit () {
		
		return carManageService.carInit ();
	}
	
	/**
	 * 车辆添加
	 *
	 * @param request
	 *
	 * @return
	 */
	@PostMapping ("/carInsert")
	public Result carInsert (@RequestBody RequestCar request) {
		
		return carManageService.carInsert (request);
	}
	
	/**
	 * 辆修改参数
	 *
	 * @param request
	 *
	 * @return
	 */
	@PostMapping ("/carUpdate")
	public Result carUpdate (@RequestBody RequestCar request) {
		return carManageService.carUpdate (request);
	}
	
	/**
	 * 车辆删除
	 *
	 * @param request
	 *
	 * @return
	 */
	@PostMapping ("/carDelect")
	public Result carDelect (@RequestBody RequestCar request) {
		return carManageService.carDelect (request);
	}
	
	/**
	 * 车辆故障码
	 */
	@PostMapping ("/faultCode")
	public Result<List<ResquestFaultCode>> faultCodeList () {
		
		return carManageService.faultCodeList ();
	}
	
	
}
