package com.dragon.car.service.controller;

import com.dragon.car.domain.req.ReqFault;
import com.dragon.car.domain.resp.RespFaultCode;
import com.dragon.car.service.service.FaultService;
import com.dragon.common.core.domain.Result;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author : Administrator
 * @description : 故障码管理控制
 */
@RestController
@RequestMapping ("/fault")
public class FaultController {
	@Autowired
	FaultService faultService;
	
	//故障码维护--查询
	@RequestMapping ("/query")
	public Result<List<RespFaultCode>> query (ReqFault reqFault) {
		return faultService.queryFaultCode ();
	}
	
	//故障码维护--新增
	@RequestMapping ("/insert")
	public Result insert (ReqFault reqFault) {
		return faultService.insertFaultCode (reqFault);
	}
	
	//故障码维护--修改
	@RequestMapping ("/update")
	public Result update (ReqFault reqFault) {
		return faultService.updateFaultCode (reqFault);
	}
	
	//故障码维护--删除
	@RequestMapping ("/delete")
	public Result delete (ReqFault reqFault) {
		return faultService.deleteFaultCode (reqFault);
	}
	
	
}
