package com.dragon.car.service.service;

import com.dragon.car.domain.req.RequestCar;
import com.dragon.car.domain.resp.ResquestFaultCode;
import com.dragon.common.core.domain.Result;

import java.util.List;

/**
 * @author : Administrator
 * @description :
 */
public interface CarManageService {
	/**
	 * 初始化车辆
	 *
	 * @return List<CarInit> 企业管理的车-列表
	 */
	Result<List<RequestCar>> carInit ();
	
	/**
	 * 车俩添加方法
	 *
	 * @param request
	 *
	 * @return 是否成功 i=1 成功 i=0 失败
	 */
	Result carInsert (RequestCar request);
	
	/**
	 * 车辆修改方法
	 *
	 * @param request
	 *
	 * @return 是否成功 i=1 成功 i=0 失败
	 */
	Result carUpdate (RequestCar request);
	
	
	/**
	 * 车辆删除
	 *
	 * @param request
	 *
	 * @return 是否成功 i=1 成功 i=0 失败
	 */
	Result carDelect (RequestCar request);
	
	Result<List<ResquestFaultCode>> faultCodeList ();
	
}
