package com.dragon.car.service.service;

import com.dragon.car.domain.req.ReqFault;
import com.dragon.car.domain.resp.RespFaultCode;
import com.dragon.common.core.domain.Result;

import java.util.List;

public interface FaultService {
	/**
	 * 故障管理-查询
	 *
	 * @return RespFaultCode 故障返回实体类
	 */
	Result<List<RespFaultCode>> queryFaultCode ();
	
	/**
	 * 故障管理-新增
	 *
	 * @param reqFault 故障实体类
	 *
	 * @return 返回 0/1
	 */
	Result insertFaultCode (ReqFault reqFault);
	
	/**
	 * 故障管理-修改
	 *
	 * @param reqFault 故障实体类
	 *
	 * @return 返回 0/1
	 */
	Result updateFaultCode (ReqFault reqFault);
	
	/**
	 * 故障管理-删除
	 *
	 * @param reqFault 故障实体类
	 *
	 * @return 返回 0/1
	 */
	Result deleteFaultCode (ReqFault reqFault);
}
